<p
  *ngIf="!_wrapper.data.drugstoneId && _wrapper.data.label"
  [ngClass]="{ 'text-normal': drugstoneConfig.smallStyle }"
>
  <b><span>Label:</span></b>
  <span class="is-capitalized"> {{ _wrapper.data.label }}</span>
</p>
<p
  *ngIf="_wrapper.data.proteinName"
  [ngClass]="{ 'text-normal': drugstoneConfig.smallStyle }"
>
  <b><span>Name:</span></b>
  <span class="is-capitalized"> {{ _wrapper.data.proteinName }}</span>
</p>
<p
  *ngIf="_wrapper.data.symbol"
  [ngClass]="{ 'text-normal': drugstoneConfig.smallStyle }"
>
  <b><span>Symbol:</span></b>
  <a
    class="is-capitalized"
    href="https://www.genecards.org/cgi-bin/carddisp.pl?gene={{
      _wrapper.data.symbol
    }}"
    target="_blank"
  >
    {{ _wrapper.data.symbol }}
  </a>
</p>

<p
  *ngIf="_wrapper.data.uniprot"
  [ngClass]="{ 'text-normal': drugstoneConfig.smallStyle }"
>
  <b><span>Uniprot:</span></b>
  <a
    *ngFor="let uniprot of _wrapper.data.uniprot"
    href="https://www.uniprot.org/uniprot/{{ uniprot }}"
    target="_blank"
  >
    <span class="is-capitalized"> {{ uniprot }}</span>
  </a>
</p>
<p
  *ngIf="_wrapper.data.ensg"
  [ngClass]="{ 'text-normal': drugstoneConfig.smallStyle }"
>
  <b><span>Ensembl:</span></b>
  <a
    *ngFor="let ensg of _wrapper.data.ensg"
    href="https://www.ensembl.org/Homo_sapiens/Gene/Summary?g={{ ensg }}"
    target="_blank"
  >
    <span class="is-capitalized"> {{ ensg }}</span>
  </a>
</p>
<p
  *ngIf="_wrapper.data.entrez"
  [ngClass]="{ 'text-normal': drugstoneConfig.smallStyle }"
>
  <b><span>Entrez:</span></b>
  <a
    *ngFor="let entrez of _wrapper.data.entrez"
    href="https://www.ncbi.nlm.nih.gov/gene/{{ entrez }}"
    target="_blank"
  >
    <span class="is-capitalized"> {{ entrez }}</span>
  </a>
</p>
<p
  *ngIf="getExpressionScore() != null"
  [ngClass]="{ 'text-normal': drugstoneConfig.smallStyle }"
>
  <b
    ><span
      >Median expression in
      {{ "'" + networkHandler.activeNetwork.selectedTissue.name + "'" }}
      (TPM):</span
    ></b
  >
  <span class="is-capitalized"> {{ getExpressionScore() | number }}</span>
  <span
    class="icon has-text-info"
    pTooltip="Median expression data is provided by the GTEx project. Unit is TPM (transcript per million)."
    [tooltipStyleClass]="'drgstn drgstn-tooltip drgstn-tooltip-left'"
    tooltipPosition="left"
  >
    <app-fa-solid-icon icon="info-circle"></app-fa-solid-icon>
  </span>
</p>
<p
  *ngIf="_wrapper.data.drugId || _wrapper.data.disorderId"
  [ngClass]="{ 'text-normal': drugstoneConfig.smallStyle }"
>
  <b><span>Name:</span></b>
  <span class="is-capitalized"> {{ _wrapper.data.label }}</span>
</p>
<p
  *ngIf="_wrapper.data.icd10"
  [ngClass]="{ 'text-normal': drugstoneConfig.smallStyle }"
>
  <b><span>ICD10:</span></b>
  <span class="is-capitalized">
    {{
      _wrapper.data.icd10.length === 0 ||
      (_wrapper.data.icd10.length === 1 && _wrapper.data.icd10[0].length === 0)
        ? "-"
        : _wrapper.data.icd10
    }}</span
  >
</p>
<p
  *ngIf="_wrapper.data.drugId"
  [ngClass]="{ 'text-normal': drugstoneConfig.smallStyle }"
>
  <b><span>DrugBank:</span></b>
  <a
    href="https://go.drugbank.com/drugs/{{ _wrapper.data.drugId }}"
    target="_blank"
  >
    <span class="is-capitalized"> {{ _wrapper.data.drugId }}</span>
  </a>
</p>
<p
  *ngIf="_wrapper.data.disorderId"
  [ngClass]="{ 'text-normal': drugstoneConfig.smallStyle }"
>
  <b><span>Mondo:</span></b>
  <a
    href="https://www.ebi.ac.uk/ols/ontologies/mondo/terms?iri=http%3A%2F%2Fpurl.obolibrary.org%2Fobo%2FMONDO_{{
      writeZeros(7 - ('' + _wrapper.data.disorderId).length)
    }}{{ _wrapper.data.disorderId }}"
    target="_blank"
  >
    <span class="is-capitalized"> MONDO:{{ _wrapper.data.disorderId }}</span>
  </a>
</p>
<p
  *ngIf="
    drugstoneConfig.currentConfig().nodeGroups[
      networkHandler.activeNetwork.selectedWrapper.data[
        networkHandler.activeNetwork.selectedWrapper.data.group ===
        'selectedNode'
          ? '_group'
          : 'group'
      ]
    ].groupName
  "
  [ngClass]="{ 'text-normal': drugstoneConfig.smallStyle }"
>
  <b><span>Group:</span></b>
  <span class="is-capitalized">
    {{
      drugstoneConfig.currentConfig().nodeGroups[
        networkHandler.activeNetwork.selectedWrapper.data[
          networkHandler.activeNetwork.selectedWrapper.data.group ===
          "selectedNode"
            ? "_group"
            : "group"
        ]
      ].groupName
    }}</span
  >
</p>
<p
  *ngIf="_showLinks"
  [ngClass]="{ 'text-normal': drugstoneConfig.smallStyle }"
>
  <b><span>Links:</span></b>
  <span *ngFor="let target of linkoutMap | keyvalue">
    <a
      *ngIf="showLinkout(target.key)"
      [href]="getLinkoutURL(target.key)"
      target="_blank"
      class="link-icon-margin"
    >
      <app-image
        _class="link-icon"
        _src="assets/{{ target.value }}.png"
        _alt="{{ target.value }}"
        _title="{{ target.value }}"
      ></app-image>
    </a>
  </span>
  <a
    class="link-icon-margin"
    href="https://clinicaltrials.gov/ct2/results?term={{ _wrapper.data.symbol }}"
    target="_blank"
  >
    <app-image
      _class="link-icon"
      _src="assets/clinicaltrials.png"
      _alt="ClinicalTrials.gov"
      _title="ClinicalTrials.gov"
    ></app-image>
  </a>
</p>

<app-toggle
  *ngIf="_wrapper.data.drugstoneId && _wrapper.data.drugstoneType === 'protein'"
  [value]="analysis.inSelection(_wrapper)"
  (valueChange)="
    $event ? analysis.addItems([_wrapper]) : analysis.removeItems([_wrapper])
  "
  textOn="Selected"
  textOff="Off"
  tooltipOn="Add protein to selection."
  tooltipOff="Remove protein from selection."
></app-toggle>
